[AI36-2]Technical Q&A - Query Task

post
https://connect.patsnap.com/ai/technical-qa/report
Try in Sandbox

Based on the task_id returned by [AI36-1] submit task API, poll to get the execution result of technical Q&A task. Returns: task status, question analysis results, references and complete answer content.

Note:
1. Need to use a valid task_id returned by [AI36-1] API
2. task_status description: 1-running, 2-success, 3-failed
3. Recommended polling interval is 2-5 seconds
4. When task_status is 2, returns complete Q&A results

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
task_id
Required
string80d440b7-80a5-4233-a75f-ab72b0885c88
Unique task identifier, returned by submit task API

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
task_id
Required
stringa1b2c3d4-e5f6-7890-abcd-ef1234567890
Unique task identifier
split_query
object{ "Query": [ "BERT模型在专利文献命名实体识别中的应用", "专利文献命名实体识别的特点和挑战", "BERT模型用于命名实体识别的优化方法和改进策略" ], "Concept": [ "专利文献", "命名实体识别", "BERT模型", "优化方法" ] }
Split query result containing sub-queries and key concepts extracted from the original question
query
Required
array[ "BERT模型在专利文献命名实体识别中的应用", "专利文献命名实体识别的特点和挑战", "BERT模型用于命名实体识别的优化方法和改进策略" ]
List of split query statements extracted from the original question
concept
Required
array[ "专利文献", "命名实体识别", "BERT模型", "优化方法" ]
List of key concepts extracted from the query, including core technical terms and domain concepts
task_status
Required
integer<int32>2
Task Status (1: running, 2: success, 3: failed)
message_response
object{ "title": "专利文献中命名实体识别的BERT模型优化方法有哪些", "modules": [ "SUMMARY", "APPLICATION", "RECOMMEND" ], "summary": "### 命名实体识别中BERT模型的优化方法\n\n命名实体识别(NER)是自然语言处理的核心任务...", "recommend": [ "如何在专利文献中进一步优化BERT模型的位置注意力机制?", "在专利文献中,如何有效结合轻量级模型和知识图谱注入来提升命名实体识别的性能?" ], "application": [ [ "产品/项目", "技术成效", "适用场景" ], [ "改进BERT命名实体识别模型", "通过增加强化位置编码层和分类层,提高了命名实体识别的准确性和召回率", "专利文献中的命名实体识别任务" ] ], "tech_mind_suggestion": "如何在保持BERT模型NER识别精度(F1>95%)的前提下,将计算资源消耗降低70%以上?", "agent_suggestion_scene": "TECH_MIND" }
Technical Q&A message response containing complete answer results, references, recommended questions, etc.
title
string专利文献中命名实体识别的BERT模型优化方法有哪些
Technical Q&A title summarizing the core content of the question
modules
array[ "SUMMARY", "APPLICATION", "RECOMMEND" ]
List of technical modules identifying the technology domains involved in the question
summary
string### 命名实体识别中BERT模型的优化方法\n\n命名实体识别(NER)是自然语言处理的核心任务,旨在从文本中识别并分类实体(如人名、地名、机构名)。BERT(Bidirectional Encoder Representations from Transformers)模型通过预训练和微调,在NER任务中展现了卓越性能...
Technical Q&A summary providing a comprehensive answer to the question
recommend
array[ "如何在专利文献中进一步优化BERT模型的位置注意力机制,以提高命名实体识别的效率和准确性?", "在专利文献中,针对低资源环境,如何有效结合轻量级模型和知识图谱注入来提升命名实体识别的性能?", "在专利文献中,如何评估和比较不同词典增强策略(如顺序词典增强)对BERT模型命名实体识别性能的影响?", "在专利文献中,如何通过模型拆分与服务化架构优化BERT模型以适应移动端或低资源环境下的命名实体识别任务?", "在专利文献中,如何结合多任务学习和对抗训练来增强BERT模型在命名实体识别任务中的鲁棒性和泛化能力?" ]
List of recommended related questions to guide further exploration
references
array[ { "APD": "", "PBD": "2025-05-06", "LINK": "https://eureka.zhihuiya.com/literature/#/?paperId=b2e8bd4d-a01b-48b5-b44e-83ff4eb544a1", "TITLE": "高效基于BERT的命名实体识别的位置关注", "CONTENT": "本文介绍了一个命名实体识别(NER)的框架,该框架利用自然语言处理(NLP)中变形金刚(BERT)模型的双向编码器表示...", "SOLUTION_ID": "b2e8bd4d-a01b-48b5-b44e-83ff4eb544a1", "SOLUTION_TYPE": "PAPER", "PDF_IMAGE_COUNT": 0 }, { "APD": "2020-11-09", "PBD": "2024-03-01", "LINK": "https://eureka.zhihuiya.com/view/#/fullText'figures/?patentId=a8935c31-bf83-461d-bc05-2fd7a110c80e", "TITLE": "用于命名实体识别的改进BERT训练模型及命名实体识别方法", "CONTENT": "通过在BERT模型中增加强化位置编码层和分类层,增强位置编码信息,解决了BERT模型中位置编码信息弱化导致的实体标签预测错误问题,提高了命名实体识别的准确性和召回率。", "SOLUTION_ID": "a8935c31-bf83-461d-bc05-2fd7a110c80e", "SOLUTION_TYPE": "PATENT", "PDF_IMAGE_COUNT": 6 } ]
List of references including patents, papers and other relevant materials
apd
string2020-11-09
Application date of the patent
pbd
string2024-03-01
Publication date of the patent or paper
link
stringhttps://eureka.zhihuiya.com/view/#/fullText'figures/?patentId=a8935c31-bf83-461d-bc05-2fd7a110c80e
Link URL pointing to the detailed page of the patent or paper
title
string用于命名实体识别的改进BERT训练模型及命名实体识别方法
Title of the patent or paper
authors
array[ { "id": "author_123456", "name": "张三" }, { "id": "author_789012", "name": "李四" } ]
List of authors containing author information of the paper or patent
id
stringauthor_123456
Author ID
name
string张三
Author name
content
string通过在BERT模型中增加强化位置编码层和分类层,增强位置编码信息,解决了BERT模型中位置编码信息弱化导致的实体标签预测错误问题,提高了命名实体识别的准确性和召回率。
Content summary containing main technical description
org_info
array[ { "id": "37e3e5a882bc2bfd36fbc3754171e311", "logo": "https://filecdn.shuidi.cn/img/upload/images_logo/b1/50/9d/b1509dfe5b2ac787dbe2d5e0753d6f00.png/0x0.png", "name": "武汉数博科技有限责任公司", "site": "www.qhhry.com", "name_cn": "武汉数博科技有限责任公司", "name_en": "Dnect", "website": "http://www.qhhry.com", "entity_id": "37e3e5a882bc2bfd36fbc3754171e311", "country_id": "5a365096-b2a6-31cb-acdf-1de1f5ab3abe", "state_name": "湖北省", "entity_type": "Company", "country_name": "中国", "display_name": "武汉数博科技有限责任公司", "founded_date": 20160722, "normalized_name": "武汉数博科技有限责任公司", "normalized_entity_type_en": "Company" } ]
Organization information list containing detailed info about applicant or author affiliations
id
string37e3e5a882bc2bfd36fbc3754171e311
Organization ID
logo
stringhttps://filecdn.shuidi.cn/img/upload/images_logo/b1/50/9d/b1509dfe5b2ac787dbe2d5e0753d6f00.png/0x0.png
Logo icon
name
string武汉数博科技有限责任公司
Organization name
site
stringwww.qhhry.com
Site information
name_cn
string武汉数博科技有限责任公司
Chinese name
name_en
stringDnect
English name
website
stringhttp://www.qhhry.com
Organization website
state_id
string80cd8682-4344-3436-88b9-cfba03d34b78
State/Province ID
entity_id
string37e3e5a882bc2bfd36fbc3754171e311
Entity ID
country_id
string5a365096-b2a6-31cb-acdf-1de1f5ab3abe
Country ID
state_name
string湖北省
State/Province name
entity_type
stringCompany
Entity type
country_name
string中国
Country name
display_name
string武汉数博科技有限责任公司
Display name
founded_date
integer<int32>20160722
Founded date
normalized_id
string8adef1df2dc299c10291a4a610a69068
Normalized ID
normalized_logo
stringhttps://filecdn.shuidi.cn/img/upload/images_logo/c7/0c/34/c70c34f6c211298e8d563c49df7706f4.png/0x0.png
Normalized logo
normalized_name
string武汉数博科技有限责任公司
Normalized organization name
normalized_display_name
stringChang'an University
Normalized display name
normalized_entity_type_en
stringCompany
Normalized entity type in English
pdf_image
array[ { "labels": [ "1" ], "image_id": "HDA0002768365640000011", "extracted": false, "patent_id": "a8935c31-bf83-461d-bc05-2fd7a110c80e", "image_from": "official", "image_type": "drawing", "is_extracted": false, "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/B/11/25/60/48/4/HDA0002768365640000011.png", "official_size": "1000x886", "fig_title_code": "1", "source_image_type": "drawing", "fulltext_image240_url": "https://data-fulltext-image-thumbnail.zhihuiya.com/CN/B/11/25/60/48/4/HDA0002768365640000011.png" } ]
List of PDF images containing image information from the document
image_id
stringHDA0002768365640000011
Image ID
extracted
boolean-
Extracted flag
patent_id
stringa8935c31-bf83-461d-bc05-2fd7a110c80e
Patent ID
image_from
stringofficial
Image source
image_type
stringdrawing
Image type
is_extracted
boolean-
Whether extracted
storage_path
stringhttps://data-fulltext-image.zhihuiya.com/CN/B/11/25/60/48/4/HDA0002768365640000011.png
Storage path
official_size
string1000x886
Official image size
source_image_type
stringdrawing
Source image type
fulltext_image240_url
stringhttps://data-fulltext-image-thumbnail.zhihuiya.com/CN/B/11/25/60/48/4/HDA0002768365640000011.png
Fulltext image 240 size URL
project_id
stringproj_12345
Project ID, identifier of the associated project
solution_id
stringa8935c31-bf83-461d-bc05-2fd7a110c80e
Unique solution identifier for identifying patents or papers
project_name
stringBERT优化研究项目
Project name of the associated project
solution_type
stringPATENT
Solution type (PATENT/PAPER/WEBSITE)
pdf_image_count
integer<int32>6
Count of PDF images, total number of images in the document
solution_sub_type
stringUtility Patent
Solution sub-type providing more detailed classification
application
array[ [ "产品/项目", "技术成效", "适用场景" ], [ "改进BERT命名实体识别模型<br/><span class='org-hit' org-id='37e3e5a882bc2bfd36fbc3754171e311'>武汉数博科技有限责任公司</span>", "通过增加强化位置编码层和分类层,增强位置编码信息,提高了命名实体识别的准确性和召回率 <seek-ref-tip data-ref-id='9' >9</seek-ref-tip>", "专利文献中的命名实体识别任务,需要精确识别实体标签的场景" ], [ "命名实体识别系统<br/><span class='org-hit' org-id='05fce7c74b3cf9f248fe5997053139a0'>北京沃东天骏信息技术有限公司</span>", "通过拆分BERT子模型为BERT词向量生成服务和下游机器学习子模型,解决了BERT模型复杂性导致的高性能设备依赖问题,实现了在常规性能设备上高效准确的命名实体识别 <seek-ref-tip data-ref-id='10' >10</seek-ref-tip>", "资源受限的常规性能设备环境,需要高效部署命名实体识别服务的场景" ] ]
List of application scenarios, each containing title and description
check_summary
string### 命名实体识别中BERT模型的优化方法\n\n命名实体识别(NER)是自然语言处理的核心任务,旨在从文本中识别并分类实体(如人名、地名、机构名)。<seek-check-reject-tip data-ref-id='2dc0d0c9-251c-4eba-9d9c-01a99eec0226'>BERT模型通过预训练和微调,在NER任务中展现了卓越性能...</seek-check-reject-tip>
Check summary providing validation assessment of the technical solution
summary_think
string首先,用户的问题是:"专利文献中命名实体识别的BERT模型优化方法有哪些"。用户是研发专家,所以我需要提供专业、深入的内容,参考我们平台的数据处理专业标签体系,比如从解决的问题、使用的手段、达到的效果(性能+数值)、应用领域等角度来组织。
Summary thinking process showing the AI's analytical reasoning chain
agent_suggestion
string如何在保持BERT模型NER识别精度(F1>95%)的前提下,将计算资源消耗降低70%以上,同时实现跨领域迁移时无需大规模标注数据即可快速适配新场景?
Agent suggestion providing comprehensive advice from the AI system
tech_mind_suggestion
string如何在保持BERT模型NER识别精度(F1>95%)的前提下,将计算资源消耗降低70%以上,同时实现跨领域迁移时无需大规模标注数据即可快速适配新场景?
Technical mind suggestion providing professional advice from a technical perspective
agent_suggestion_scene
stringTECH_MIND
Agent suggestion scene describing specific scenarios where the suggestion applies
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "task_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "split_query": {
      "query": [
        "BERT模型在专利文献命名实体识别中的应用",
        "专利文献命名实体识别的特点和挑战",
        "BERT模型用于命名实体识别的优化方法和改进策略"
      ],
      "concept": [
        "专利文献",
        "命名实体识别",
        "BERT模型",
        "优化方法"
      ]
    },
    "task_status": 2,
    "message_response": {
      "title": "专利文献中命名实体识别的BERT模型优化方法有哪些",
      "modules": [
        "SUMMARY",
        "APPLICATION",
        "RECOMMEND"
      ],
      "summary": "### 命名实体识别中BERT模型的优化方法\\n\\n命名实体识别(NER)是自然语言处理的核心任务,旨在从文本中识别并分类实体(如人名、地名、机构名)。BERT(Bidirectional Encoder Representations from Transformers)模型通过预训练和微调,在NER任务中展现了卓越性能...",
      "recommend": [
        "如何在专利文献中进一步优化BERT模型的位置注意力机制,以提高命名实体识别的效率和准确性?",
        "在专利文献中,针对低资源环境,如何有效结合轻量级模型和知识图谱注入来提升命名实体识别的性能?",
        "在专利文献中,如何评估和比较不同词典增强策略(如顺序词典增强)对BERT模型命名实体识别性能的影响?",
        "在专利文献中,如何通过模型拆分与服务化架构优化BERT模型以适应移动端或低资源环境下的命名实体识别任务?",
        "在专利文献中,如何结合多任务学习和对抗训练来增强BERT模型在命名实体识别任务中的鲁棒性和泛化能力?"
      ],
      "references": [
        {
          "apd": "2020-11-09",
          "pbd": "2024-03-01",
          "link": "https://eureka.zhihuiya.com/view/#/fullText'figures/?patentId=a8935c31-bf83-461d-bc05-2fd7a110c80e",
          "title": "用于命名实体识别的改进BERT训练模型及命名实体识别方法",
          "authors": [
            {
              "id": "author_123456",
              "name": "张三"
            }
          ],
          "content": "通过在BERT模型中增加强化位置编码层和分类层,增强位置编码信息,解决了BERT模型中位置编码信息弱化导致的实体标签预测错误问题,提高了命名实体识别的准确性和召回率。",
          "org_info": [
            {
              "id": "37e3e5a882bc2bfd36fbc3754171e311",
              "logo": "https://filecdn.shuidi.cn/img/upload/images_logo/b1/50/9d/b1509dfe5b2ac787dbe2d5e0753d6f00.png/0x0.png",
              "name": "武汉数博科技有限责任公司",
              "site": "www.qhhry.com",
              "name_cn": "武汉数博科技有限责任公司",
              "name_en": "Dnect",
              "website": "http://www.qhhry.com",
              "state_id": "80cd8682-4344-3436-88b9-cfba03d34b78",
              "entity_id": "37e3e5a882bc2bfd36fbc3754171e311",
              "country_id": "5a365096-b2a6-31cb-acdf-1de1f5ab3abe",
              "state_name": "湖北省",
              "entity_type": "Company",
              "country_name": "中国",
              "display_name": "武汉数博科技有限责任公司",
              "founded_date": 20160722,
              "normalized_id": "8adef1df2dc299c10291a4a610a69068",
              "normalized_logo": "https://filecdn.shuidi.cn/img/upload/images_logo/c7/0c/34/c70c34f6c211298e8d563c49df7706f4.png/0x0.png",
              "normalized_name": "武汉数博科技有限责任公司",
              "normalized_display_name": "Chang'an University",
              "normalized_entity_type_en": "Company"
            }
          ],
          "pdf_image": [
            {
              "image_id": "HDA0002768365640000011",
              "extracted": false,
              "patent_id": "a8935c31-bf83-461d-bc05-2fd7a110c80e",
              "image_from": "official",
              "image_type": "drawing",
              "is_extracted": false,
              "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/B/11/25/60/48/4/HDA0002768365640000011.png",
              "official_size": "1000x886",
              "source_image_type": "drawing",
              "fulltext_image240_url": "https://data-fulltext-image-thumbnail.zhihuiya.com/CN/B/11/25/60/48/4/HDA0002768365640000011.png"
            }
          ],
          "project_id": "proj_12345",
          "solution_id": "a8935c31-bf83-461d-bc05-2fd7a110c80e",
          "project_name": "BERT优化研究项目",
          "solution_type": "PATENT",
          "pdf_image_count": 6,
          "solution_sub_type": "Utility Patent"
        }
      ],
      "application": [
        [
          "产品/项目",
          "技术成效",
          "适用场景"
        ],
        [
          "改进BERT命名实体识别模型<br/><span class='org-hit' org-id='37e3e5a882bc2bfd36fbc3754171e311'>武汉数博科技有限责任公司</span>",
          "通过增加强化位置编码层和分类层,增强位置编码信息,提高了命名实体识别的准确性和召回率 <seek-ref-tip data-ref-id='9' >9</seek-ref-tip>",
          "专利文献中的命名实体识别任务,需要精确识别实体标签的场景"
        ],
        [
          "命名实体识别系统<br/><span class='org-hit' org-id='05fce7c74b3cf9f248fe5997053139a0'>北京沃东天骏信息技术有限公司</span>",
          "通过拆分BERT子模型为BERT词向量生成服务和下游机器学习子模型,解决了BERT模型复杂性导致的高性能设备依赖问题,实现了在常规性能设备上高效准确的命名实体识别 <seek-ref-tip data-ref-id='10' >10</seek-ref-tip>",
          "资源受限的常规性能设备环境,需要高效部署命名实体识别服务的场景"
        ]
      ],
      "check_summary": "### 命名实体识别中BERT模型的优化方法\\n\\n命名实体识别(NER)是自然语言处理的核心任务,旨在从文本中识别并分类实体(如人名、地名、机构名)。<seek-check-reject-tip data-ref-id='2dc0d0c9-251c-4eba-9d9c-01a99eec0226'>BERT模型通过预训练和微调,在NER任务中展现了卓越性能...</seek-check-reject-tip>",
      "summary_think": "首先,用户的问题是:\"专利文献中命名实体识别的BERT模型优化方法有哪些\"。用户是研发专家,所以我需要提供专业、深入的内容,参考我们平台的数据处理专业标签体系,比如从解决的问题、使用的手段、达到的效果(性能+数值)、应用领域等角度来组织。",
      "agent_suggestion": "如何在保持BERT模型NER识别精度(F1>95%)的前提下,将计算资源消耗降低70%以上,同时实现跨领域迁移时无需大规模标注数据即可快速适配新场景?",
      "tech_mind_suggestion": "如何在保持BERT模型NER识别精度(F1>95%)的前提下,将计算资源消耗降低70%以上,同时实现跨领域迁移时无需大规模标注数据即可快速适配新场景?",
      "agent_suggestion_scene": "TECH_MIND"
    }
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms